MODULE YOMLIM

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE

!*     YOMLIM - NUMERICAL LIMITS

!        D. VASILJEVIC   ECMWF     15/9/94

!     NAME      TYPE                  MEANING
!     ----      ----                  -------
!     NLAT90      I    LAT. LIMIT AT 90
!     RLAT90      I    LAT. LIMIT AT 90
!     NLAT20      I    LAT. LIMIT AT 20
!     RLAT20      I    LAT. LIMIT AT 20
!     RCONLIM     R    CONVERGENCE LIMIT
!     RLON360     R    LON. LIMIT AT 360
!     RLON0       R    LON. LIMIT AT 0
!     NCENYEAL    I    YEAR LIMIT TO SWITCH CENTURY
!     NSTBSID1    I    SATOB STATION ID. LIMIT FOR GOES
!     NSTBSID2    I    SATOB STATION ID. LIMIT FOR METEOSAT
!     NSTBSID3    I    SATOB STATION ID. LIMIT FOR INDIAN SATOB
!     NSTBSID4    I    SATOB STATION ID. LIMIT FOR JAPAN
!     NSTBSID5    I    SATOB STATION ID. LIMIT FOR JAPAN
!     NSTBSID_TERRA I  SATOB STATION ID. FOR MODIS-TERRA WINDS
!     NSTBSID_AQUA  I  SATOB STATION ID. FOR MODIS-AQUA WINDS
!     NFLLIMOP()  I    FLAG LIMITS (OBSPROC USE ONLY)
!     RRHLIM      R    REL. HUMIDITY VALUE LIMIT FOR INCREASING OBS.
!                      ERROR
!     RRHTLIM     R    TEMPERATURE VALUE LIMIT FOR INCREASING OBS.
!                      REL. HUM. ERROR

!     NSYCCHA     I    DATE (YYYYMMDD) OF SYNOP CODE CHANGE
!     RERRPP      R    PRESSURE VALUE LIMIT TO LOOK FOR POSSIBLE ERROR
!     RPPADJ      R    PRESSURE ADJUSMENT VALUE
!     RPPLMT      R    PRESSURE LIMIT VALUE
!     RPPDIF      R    PRESSURE DIFFERENCE LIMIT

INTEGER(KIND=JPIM) :: NLAT90
INTEGER(KIND=JPIM) :: NLAT20
INTEGER(KIND=JPIM) :: NCENYEAL
INTEGER(KIND=JPIM) :: NSTBSID1
INTEGER(KIND=JPIM) :: NSTBSID2
INTEGER(KIND=JPIM) :: NSTBSID3
INTEGER(KIND=JPIM) :: NSTBSID4
INTEGER(KIND=JPIM) :: NSTBSID5
INTEGER(KIND=JPIM) :: NSTBSID_TERRA
INTEGER(KIND=JPIM) :: NSTBSID_AQUA
INTEGER(KIND=JPIM) :: NFLLIMOP(3)
INTEGER(KIND=JPIM) :: NSYCCHA
REAL(KIND=JPRB) :: RLAT90
REAL(KIND=JPRB) :: RLAT20
REAL(KIND=JPRB) :: RLON360
REAL(KIND=JPRB) :: RLON0
REAL(KIND=JPRB) :: RCONLIM
REAL(KIND=JPRB) :: RP700
REAL(KIND=JPRB) :: RP250
REAL(KIND=JPRB) :: RERRPP
REAL(KIND=JPRB) :: RPPADJ
REAL(KIND=JPRB) :: RPPLMT
REAL(KIND=JPRB) :: RPPDIF
REAL(KIND=JPRB) :: RRHLIM
REAL(KIND=JPRB) :: RRHTLIM

!-----------------------------------------------------------------------

END MODULE YOMLIM
